#!/bin/bash

export EC2_CERT=/opt/gvsa/etc/ec2-cert.pem
export EC2_PRIVATE_KEY=/opt/gvsa/etc/ec2-pk.pem

if [ ! -f $EC2_CERT -o ! -f $EC2_PRIVATE_KEY ]; then
    cat <<EOF

================================================================================
                                   NOTICE
                                  --------

  Welcome to Gluster Storage Appliance for Amazon Web Services.

  This is a fresh launch and not yet bootstrapped into being operational. Please
copy over your EC2 X.509 certificate and EC2 private key into this machine and
run the gluster-ami-bootstrap command as shown:

  sh# gluster-ami-bootstrap /path/cert-XXXXXXXX.pem /path/pk-XXXXXXXX.pem

  After bootstrapping, your instance will be tagged like 'i-gluster-NN'. You
will also stop seeing this message.

================================================================================
EOF
fi
